#! /bin/tcsh -f

# Arguments
# 1: absolute path to evtgen mdst files

if( $2 == '' ) then
  echo "Usage : ./runGsimReco.csh [outputPath] [absolutePathToEvtgenGeneratorFiles/] [Decay]"
  exit
endif

if( $3 == '' ) then
  echo "Usage : ./runGsimReco.csh [outputPath] [absolutePathToEvtgenGeneratorFiles/] [Decay]"
  exit
endif

set decay = $3

echo $decay

set out_path = $1

set logdir = "$out_path/gsim/log/$decay"
rm -fr $logdir
mkdir -p $logdir
set hbkdir = "$out_path/gsim/hbook/$decay"
rm -fr $hbkdir
mkdir -p $hbkdir
set outdir = "$out_path/gsim/mdst/$decay"
rm -fr $outdir
mkdir -p $outdir


rm -f fpda_pid*


set evtgenmdstpath=$2

#echo "Will simulate detector response for all files in directory:"
#echo $path

foreach file (`\ls -1 $evtgenmdstpath`)
   set exp=`echo $file | awk -F '_' '{print $3}'`

   set expno = `echo $exp | sed s/'0'//g`     

   bsub -q l -e $logdir/$file'error.log' -o $logdir/$file'log.log' ./rec.csh $evtgenmdstpath$file $expno $decay $out_path
end

